namespace XGame.Editor.Build
{
    [BuildCommand((uint)BuildCommandPriority.PackSpriteAtlas)]
    class CmdPackSpriteAtlas : BaseBuildCommand, ICommandExecuter
    {
        public BuildErrorCode Execute()
        {
            //收集资源信息
            XBuildPipeline.GenerateAddressable();
            //创建图集配置
            XBuildPipeline.GenerateAtlas();
            return BuildErrorCode.CmdCompleted;
        }
    }
}
